;#########################################################################
; INCLUDE DEFINES
;#########################################################################
      include WINDOWS.INC
      include masm32.inc
      include fpu.inc
      include gdi32.inc
      include user32.inc
      include kernel32.inc
      include comctl32.inc
      include comdlg32.inc
      include shell32.inc
      include oleaut32.inc
      include msimg32.inc
      include XXControls.inc
      include debug.inc
;#########################################################################
; INCLUDE LIBS      
;#########################################################################
      includelib masm32.lib
      includelib fpu.lib
      includelib gdi32.lib
      includelib user32.lib
      includelib kernel32.lib
      includelib comctl32.lib
      includelib comdlg32.lib
      includelib shell32.lib
      includelib oleaut32.lib
      includelib msimg32.lib
      includelib XXRichEdit.lib
      includelib XXControls.lib
      includelib debug.lib
;#########################################################################
;FORWARD REFERENCE
DlgProc			PROTO	:HWND,:UINT,:WPARAM,:LPARAM
;#########################################################################
.const
;DIALOG EQUATES
;#########################################################################
Main_Select				equ 1000
RePrn_Select			equ 1100
Brnch_Select			equ 1500
Stock_Select			equ 1600
Shift_Select			equ 1700
Edit_Select				equ 1800
Find_Select				equ 1900
Trns_Select				equ 2000
Pay_Select				equ 2100
ACC_Select				equ 2200
Prnt_Select				equ 2300
;#########################################################################
.data?
;HANDLES & RELATED
;#########################################################################
hAtom		 dd ?
hInstance	 dd ?
hWnd		 dd ?
hWnd1		 dd ?
sScroll		 dd ?
hList		 dd ?
hHeader		 dd ?
hRichED		 dd ?
MemHandle	 dd ?
MemObject	 dd ?
RCBitmap	 dd ?
RCBitmap1	 dd ?
;IMPORTANT MISC VARS
;#########################################################################
Months  	 dd ?
cRecord		 dd ? 
hDate1		 dd ?
hDate2		 dd ?
;FILE I/O VARS	
;#########################################################################
FileHandle	dd ?
FileHandle1 dd ?
ReadWrite	dd ?
DB_SIZE		dd ?
DB_REC		dd ?	
;TEMPORARY FLOATS 
;#########################################################################
ALIGN 4
TmpReal10	 REAL10 ?
TmpReal10a   REAL10 ?
TmpReal10b   REAL10 ?
TmpReal10c   REAL10 ?
;TEMPORARY STRING VARS VARIOUS USAGE / FLAGS
;#########################################################################
TmpString    db 70 dup (?)
TmpString1   db 70 dup (?)
TmpString2   db 70 dup (?)
TmpString3   db 70 dup (?)
TmpString4   db 70 dup (?)
TmpString5   db 70 dup (?)
TmpString6   db 70 dup (?)
LogItem		 db 70 dup (?)
CDate		 db 11 dup (?)
DDate		 db 11 dup (?)
EDate		 db 11 dup (?)
FDate		 db 11 dup (?)
GDate		 db 11 dup (?)
TTIME		 db 11 dup (?)
TFlag		 db ?
MFlag		 db ?
DFlag		 db ?
AFlag		 db ?
;#########################################################################
ALIGN 4
;VARIOUS FILE DATA STRUCTURES & USAGE DEFINES
;#########################################################################
;******* Branch Data File  300 bytes
B_Header		db ?,?
B_compname		db 30 dup (?)
B_addr1			db 30 dup (?)
B_addr2			db 30 dup (?)
B_addr3			db 30 dup (?)
B_telephone		db 20 dup (?)
B_facimile		db 20 dup (?)
B_compnum		db 20 dup (?)
B_compvattax	db 20 dup (?)
B_consultant	db 20 dup (?)
B_shift			db ?,?
B_accnum		db 10 dup (?)
B_invnum		db 10 dup (?)
B_rctnum		db 10 dup (?)
B_filler1	 	db ?,?
B_loanrate		REAL10 ?
B_number		db 4  dup (?)
B_filler2		db 30 dup (?)
;#########################################################################
ALIGN 4
;#########################################################################
;******* Stock Data File  32 bytes
S_Header		db ?,?
S_value			REAL10 ?  ; current stock value for shift
S_start			REAL10 ?  ; started with stock value for shift
S_payment		db ?	  ; number of payments received for shift
S_newclient		db ?      ; number of new accounts created for shift
S_trnsact       db ?	  ; number of loan transactions for shift
S_filler		db 7 dup (?)
;#########################################################################
ALIGN 4
;#########################################################################
;******* Transaction Data File 128 bytes
T_Accno			db 10 dup (?) ; Assigned account number
T_Inv			db 10 dup (?) ; Assigned Invoice number
T_D1			db 11 dup (?) ; Start Date of Loan
T_D2			db 11 dup (?) ; End Date of Loan
T_D3			db 11 dup (?) ; Next due Date of Installment
T_Valid			db ?		  ; Valid or write-off flag
T_Receipt		db 10 dup (?) ; Last receipt number
T_Months		dd ?		  ; Number of Months Left to pay Loan Installments
T_LoanAmnt		REAL10 ?	  ; Original Loan Amount  
T_LoanRate		REAL10 ?	  ; Original Loan Rate of Debt
T_Owed			REAL10 ?	  ; Original Total Amount of Debt
T_Install		REAL10 ?	  ; Projected Installment Amount
T_Profit		REAL10 ?	  ; Profit on Loan
T_Filler1		db 8 dup (?)
T_Filler2		db ?,?
;#########################################################################
;******* Account Data File  512 bytes
ACC_STRUC STRUC
A_Accnum	db 10 dup (?)	; Account Number
A_ID		db 15 dup (?)	; Client ID number validated for RSA
A_Surname	db 30 dup (?)   
A_Name		db 30 dup (?)
A_Addr1		db 30 dup (?)
A_Addr2		db 30 dup (?)
A_Addr3		db 30 dup (?)
A_Suburb	db 30 dup (?)
A_City		db 30 dup (?)
A_TEL		db 15 dup (?)
A_CELL		db 15 dup (?)
A_Bank		db 30 dup (?)
A_Card		db 20 dup (?)
A_Kin1		db 30 dup (?)
A_K1Tel		db 30 dup (?)
A_Kin2		db 30 dup (?)
A_K2Tel		db 30 dup (?)
A_Valid		dd ?			; Valid Flag for simple validation check 
A_Active	db ?			; Active ? => Does this client have a current loan
A_Filler	db 70 dup (?)
A_End		db ?,?
ACC_STRUC ENDS
;#########################################################################
