SaveBrnch proc
	invoke CreateFile,ADDR Brnchfile,GENERIC_WRITE,
		NULL,NULL,CREATE_ALWAYS,FILE_ATTRIBUTE_NORMAL,NULL
	mov FileHandle, eax
	invoke WriteFile,FileHandle,ADDR B_Header,300,ADDR ReadWrite,NULL
    invoke CloseHandle,FileHandle
    mov IBrnch, TRUE
	ret
SaveBrnch endp
LoadBrnch proc
	invoke CreateFile,ADDR Brnchfile,GENERIC_READ,
		NULL,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL
	mov FileHandle, eax
	cmp eax, INVALID_HANDLE_VALUE
	je LB_Exit
	invoke ReadFile,FileHandle,ADDR B_Header,300,ADDR ReadWrite,NULL
    invoke CloseHandle,FileHandle
    mov IBrnch, TRUE
    ret
LB_Exit:
	mov IBrnch, FALSE    
	ret
LoadBrnch endp
SetBrnch proc
; Load and show current Branch Detail if any
	call LoadBrnch
	.if IBrnch==TRUE
		invoke FpuFLtoA,ADDR B_loanrate,2,ADDR TmpString,SRC1_REAL or SRC2_DIMM
		invoke SetDlgItemText,hWnd,1510,ADDR TmpString
		invoke SetDlgItemText,hWnd,1516,ADDR B_compname
		invoke SetDlgItemText,hWnd,1517,ADDR B_addr1
		invoke SetDlgItemText,hWnd,1518,ADDR B_addr2
		invoke SetDlgItemText,hWnd,1519,ADDR B_addr3	
		invoke SetDlgItemText,hWnd,1520,ADDR B_telephone
		invoke SetDlgItemText,hWnd,1521,ADDR B_facimile
		invoke SetDlgItemText,hWnd,1522,ADDR B_compnum
		invoke SetDlgItemText,hWnd,1523,ADDR B_compvattax
		invoke SetDlgItemText,hWnd,1525,ADDR B_consultant
		invoke SetDlgItemText,hWnd,1527,ADDR B_number
		invoke SetDlgItemText,hWnd,1531,ADDR B_accnum
		invoke SetDlgItemText,hWnd,1532,ADDR B_invnum
		invoke SetDlgItemText,hWnd,1533,ADDR B_rctnum		
	.endif
	ret
SetBrnch endp
GetBrnch proc
; Get user input data and validate it
	invoke GetDlgItemText,hWnd,1510,ADDR TmpString ,50
	test eax, eax
	jz G_Error
	invoke FpuAtoFL, ADDR TmpString , ADDR B_loanrate , DEST_MEM
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1531,ADDR B_accnum,10
	test eax, eax
	jz G_Error		
	invoke GetDlgItemText,hWnd,1532,ADDR B_invnum,10
	test eax, eax
	jz G_Error	
	invoke GetDlgItemText,hWnd,1533,ADDR B_rctnum,10
	test eax, eax
	jz G_Error			
	invoke GetDlgItemText,hWnd,1527,ADDR B_number,4
	test eax, eax
	jz G_Error	
	invoke GetDlgItemText,hWnd,1516,ADDR B_compname,30
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1517,ADDR B_addr1,30
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1518,ADDR B_addr2,30
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1519,ADDR B_addr3,30	
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1520,ADDR B_telephone,20
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1521,ADDR B_facimile,20
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1522,ADDR B_compnum,20
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1523,ADDR B_compvattax,20
	test eax, eax
	jz G_Error
	invoke GetDlgItemText,hWnd,1525,ADDR B_consultant,20
	test eax, eax
	jz G_Error	
	invoke szCopy, addr Brnchfile, addr LogItem
	call SaveBrnch
	call SetLog
	invoke MessageBox,hWnd,ADDR Error2,ADDR ErrorA,MB_ICONINFORMATION
	invoke	SendMessage,hWnd,WM_CLOSE,NULL,NULL
	ret
G_Error:
	invoke MessageBox,hWnd,ADDR Error1,ADDR ErrorA,MB_ICONSTOP
	ret
GetBrnch endp
BranchProc	proc	hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	mov	eax,uMsg
	.if	eax==WM_INITDIALOG
		push hWin
		pop  hWnd
		invoke RtlZeroMemory,ADDR B_Header,300
		call SetBrnch 
	.elseif eax==WM_CTLCOLORSTATIC 
			invoke GetDlgCtrlID,lParam
			.if eax==1501 || eax==1524 || eax==1515
				RGB 255,200,0
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH	
			.elseif	eax==1506 || eax==1507
				RGB 0,210,255
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH		
			.else
				mov eax,FALSE
			.endif	
			ret	
	.elseif	eax==WM_COMMAND
		mov edx,wParam
		movzx eax,dx
		shr edx,16
		.if edx==BN_CLICKED
			.if eax==1511
				call GetBrnch
			.elseif eax==IDCANCEL
				invoke	SendMessage,hWin,WM_CLOSE,NULL,NULL
			.endif	
		.endif
	.elseif	eax==WM_CLOSE
		invoke	EndDialog,hWin,0
	.else
		xor eax, eax
		ret
	.endif		
	mov eax, TRUE
	ret	
BranchProc endp