FindIT proc
	invoke GetDlgItemText,hWnd1,1903,addr TmpString ,10
	test eax, eax
	jnz FI_1
	invoke GetDlgItemText,hWnd1,1904,addr TmpString ,15
	test eax, eax
	jnz FI_1
	invoke MessageBox,hWnd1,addr Error1,addr ErrorA,MB_OK
	ret
FI_1:
	invoke szLen, addr TmpString
	inc eax
	invoke BinSearch,NULL,MemHandle,DB_SIZE,addr TmpString, eax
	mov ebx, MemHandle
; BinSearch returns the offset from the start of the Account Database
; were the string matched the user's criteria - but we need to get a  	
; memory record index to pass onto the procedure that called Find, so
; we need to somehow get from found offset to index. This case uses
; 512 byte records. Any record sizes that are binary friendly help
; for easier/faster access for indexing. 
	.if eax != -1		; Alternative to 
		shr eax, 9		; offset anywhere div 512 = result + remainder  
		shl eax, 9      ; result * 512 = 512 byte relative start offset   
		add ebx, eax
		invoke MessageBox,hWnd1,addr Error2,addr ErrorA,MB_OK
	.else
		invoke MessageBox,hWnd1,addr Error10,addr ErrorA,MB_OK
	.endif
	mov cRecord, ebx
	ret
FindIT endp
FindProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	mov	eax,uMsg
	.if eax==WM_INITDIALOG
	 	push hWin
	 	pop hWnd1
	.elseif eax==WM_COMMAND
		mov edx,wParam
		movzx eax,dx
		shr edx,16
		.if edx==BN_CLICKED
			.if eax==1905
				mov TmpString, NULL
				call FindIT
				invoke SendMessage,hWin,WM_CLOSE,NULL,NULL
			.elseif eax==IDCANCEL	; The user selected Exit
				invoke SendMessage,hWin,WM_CLOSE,NULL,NULL
			.endif
		.endif
	.elseif eax==WM_CLOSE
		invoke EndDialog,hWnd1,0
	.else
		xor eax, eax
		ret
	.endif
	mov		eax,TRUE
	ret
FindProc endp