SaveTrans proc
	invoke CreateFile,ADDR Trnfile	,GENERIC_WRITE,
	NULL,NULL,OPEN_ALWAYS,FILE_ATTRIBUTE_NORMAL,NULL
	mov FileHandle, eax
	invoke SetFilePointer,FileHandle,NULL,NULL,FILE_END
	mov T_Filler2  , 13  ; add carraige return to make it look nice
	mov T_Filler2+1, 10  ; when viewing in text editor
	invoke WriteFile,FileHandle,ADDR T_Accno,128,ADDR ReadWrite,NULL
    invoke CloseHandle,FileHandle
	ret
SaveTrans endp
TProcess proc
; Set Transaction file component values and update relevant files etc.
	mov ebx, Months
	invoke GetDlgItemText,hWnd,2002,addr TmpString ,10 ; acc
	invoke GetDlgItemText,hWnd,2013,addr TmpString1,16 ; loan
	invoke GetDlgItemText,hWnd,2015,addr TmpString2,16 ; rate
	invoke GetDlgItemText,hWnd,2032,addr TmpString3,16 ; owed
	invoke GetDlgItemText,hWnd,2033,addr TmpString4,16 ; installmnt
	mov T_Months, ebx	; months
	invoke szCopy , addr TmpString		, addr T_Accno
	invoke szCopy , addr EDate			, addr T_D1
	invoke szCopy , addr FDate			, addr T_D2
	invoke szCopy , addr GDate			, addr T_D3
	invoke szCopy , addr B_invnum		, addr T_Inv
	finit
	fld S_value										   ; current stock
	invoke FpuAtoFL, ADDR TmpString1 , NULL, DEST_FPU
	invoke FpuAtoFL, ADDR TmpString2 , NULL, DEST_FPU
	invoke FpuAtoFL, ADDR TmpString3 , NULL, DEST_FPU
	invoke FpuAtoFL, ADDR TmpString4 , NULL, DEST_FPU
	fstp T_Install	
	fstp T_Owed
	fstp T_LoanRate
	fsub st(1), st(0)
	fstp T_LoanAmnt
	fstp S_value
;-----------------------------	
	fild dword ptr T_Months	; profit/month= Tot.Owed - Tot.Loan / months
	fld  T_Owed
	fld  T_LoanAmnt
	fsub
	fdivr
	fstp T_Profit
;-----------------------------
; Trnsaction update
	call SaveTrans
; Account update
assume ebx : ptr ACC_STRUC
	mov ebx, cRecord
	xor eax, eax
	mov byte ptr [ebx].A_Active, TRUE
assume ebx : NOTHING		
; Brnch inv update					
	invoke atodw,addr B_invnum
	inc eax
	invoke dw2a,eax, addr B_invnum
	call SaveBrnch
; Stock update	
	inc S_trnsact	; add 1 to the number of invoices done for this shift
	call SaveStock
; Log update	
	invoke szCopy  , addr T_Accno	  , addr LogItem
	invoke szCatStr, addr LogItem     , addr C_omma 
	invoke szCatStr, addr LogItem     , addr T_Inv
	invoke szCatStr, addr LogItem     , addr C_omma 
	invoke szCatStr, addr LogItem     , addr B_consultant
	call SetLog
	ret			
TProcess endp
TransINIT proc
; Check for Valid Transaction status according to validated input
	.if MFlag==TRUE && DFlag==TRUE && AFlag==TRUE
		finit
		fld S_value										   ;current stock
		invoke GetDlgItemText,hWnd,2013,addr TmpString2,16 ;loan amnt
		invoke FpuAtoFL, ADDR TmpString2 , NULL, DEST_FPU 
		fsub
		frndint
		invoke FpuExam,NULL,SRC1_FPU ; is value Negative ?
		test eax, XAM_NEG
		jnz  Trn_Exit
		invoke GetDlgItemText,hWnd,2032,addr TmpString3,16 ; owed amnt
		invoke FpuAtoFL, ADDR TmpString3 , NULL, DEST_FPU
		fild dword ptr Months
		fwait
		fdiv
		frndint
		invoke FpuFLtoA,NULL,2,ADDR TmpString4,SRC1_FPU or SRC2_DIMM
		invoke SetDlgItemText,hWnd,2033,addr TmpString4
		mov TFlag, TRUE
	.else
Trn_Exit:	
		invoke SetDlgItemText,hWnd,2033,NULL
		mov TFlag, FALSE	
	.endif	
	ret
TransINIT endp	
EvalDate proc
LOCAL GYears  : DWORD
LOCAL GMonths : DWORD
;OVERALL Calc - is start date smaller than end date ?
	invoke atodw  , addr EDate ; START LOAN
	mov ebx  , eax
	invoke atodw  , addr FDate ; END LOAN
	cmp  eax, ebx
	jle E_D5
;YEAR Calc - are we changing to a new calander year ?
    invoke atodw  , addr CDate+4
	mov ebx   , eax
	mov GYears, eax
	invoke atodw  , addr DDate+4
	sub eax, ebx
	mov CDate+4, 0
	mov DDate+4, 0
	push eax       ; year step
;MONTH Calc - what is month_start 's relation to month_end ?
	invoke atodw  , addr CDate+2
	mov ebx    , eax
	mov GMonths, eax
	invoke atodw  , addr DDate+2
	pop edx		   ; get back year step
	sub eax, ebx    
	js  E_D1	   ; check for sign
	jnz E_D2       ; month zero and 
	test edx, edx  ;  |             year zero ??
	jnz E_D2       ;  |
		           ;  ---->
	inc eax		   ; so then = months must be at least 1	
	jmp E_D3
E_D1:		
	dec edx		   ; if year step occured decrease year by 1
	add eax, 12    ; add 12 to months to configure positive results
E_D2:
	imul edx, 12   ; configure year to month = year * 12
	jns E_D3
	xor edx, edx   
;FIRST INSTALLMENT DATE - calculate the first installment date	
;we always have our due days on the 28th of a month to avoid hassles
E_D3:
	add eax    , edx
	inc GMonths
	mov Months, eax
	cmp GMonths, 12
	jle E_D4
	inc GYears
	mov GMonths, 1
E_D4:	
	invoke dwtoa, 28      , addr TmpString1 ;ddMMyyyy
	invoke dwtoa, GMonths , addr TmpString2
	invoke dwtoa, GYears  , addr TmpString3
	invoke dwtoa, Months  , addr TmpString
	invoke PadZero , addr TmpString2, addr TmpString4, 2 
	invoke szCopy  , addr TmpString1, addr GDate
	invoke szCatStr, addr GDate, addr TmpString4
	invoke szCatStr, addr GDate, addr TmpString3
	invoke SetDlgItemText,hWnd,2020,addr FDate
	invoke SetDlgItemText,hWnd,2030,addr TmpString
	mov DFlag, TRUE
	ret	
E_D5:
	invoke SetDlgItemText,hWnd,2020,NULL
	invoke SetDlgItemText,hWnd,2030,NULL
	mov DFlag, FALSE
	ret
EvalDate endp
EvalTrns proc
; Get user input Transaction Dialog Data and validate it
	invoke GetDlgItemText,hWnd,2013,addr TmpString ,16
	test eax, eax
	jz E_Exit
	invoke GetDlgItemText,hWnd,2015,addr TmpString1,16
	test eax, eax
	jz E_Exit
	finit
	invoke FpuAtoFL, ADDR TmpString , NULL, DEST_FPU
	test eax, eax
	jz E_Exit
	invoke FpuExam,NULL,SRC1_FPU ; is value Negative ?
	test eax, XAM_NEG or XAM_ZERO
	jnz  E_Exit
	invoke FpuAtoFL, ADDR TmpString1 , NULL, DEST_FPU
	test eax, eax
	jz E_Exit
	invoke FpuExam,NULL,SRC1_FPU ; is value Negative ?
	test eax, XAM_NEG or XAM_ZERO
	jnz  E_Exit
	invoke FpuComp,NULL,addr B_loanrate, SRC1_FPU or SRC2_REAL
	test eax, CMP_LOWER
	jnz E_Exit
	fld OneHundred
	fdiv
	fld1
	fadd
	fmul
	invoke FpuFLtoA,NULL,2,ADDR TmpString2 ,SRC1_FPU or SRC2_DIMM
	invoke SetDlgItemText,hWnd,2029,ADDR TmpString
	invoke SetDlgItemText,hWnd,2031,ADDR TmpString1
	invoke SetDlgItemText,hWnd,2032,ADDR TmpString2
	fstp TmpReal10
	mov MFlag, TRUE
	ret
E_Exit:
	invoke SetDlgItemText,hWnd,2029,ADDR T_Zero	
	invoke SetDlgItemText,hWnd,2031,ADDR T_Zero	
	invoke SetDlgItemText,hWnd,2032,ADDR T_Zero
	mov MFlag, FALSE	
	ret
EvalTrns endp
FillTrnsaction proc
; Fill Transaction Dialog with account specific details as searched for
	mov ebx, cRecord
assume ebx : ptr ACC_STRUC
	invoke szCopy, addr [ebx].A_Surname, addr TmpString
	invoke szCatStr, addr TmpString, addr C_omma 
	invoke szCatStr, addr TmpString, addr [ebx].A_Name
	invoke SetDlgItemText,hWnd,2002,ADDR [ebx].A_Accnum
	invoke SetDlgItemText,hWnd,2009,ADDR TmpString
	invoke SetDlgItemText,hWnd,2010,ADDR [ebx].A_ID	
	invoke SetDlgItemText,hWnd,2011,ADDR [ebx].A_TEL
	.if [ebx].A_Active==TRUE 
		invoke SetDlgItemText,hWnd,2038,ADDR Y_Yes
		mov AFlag, FALSE
	.else
		invoke SetDlgItemText,hWnd,2038,ADDR N_No
		mov AFlag, TRUE
	.endif
assume ebx : NOTHING	
	ret
FillTrnsaction endp
TrnsProc proc	hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	mov	eax,uMsg
	.if	eax==WM_INITDIALOG
		push hWin
		pop  hWnd
		.if B_shift == FALSE  ; Shift in progress ?
			invoke MessageBox,hWnd,addr Error15,addr ErrorA,MB_ICONEXCLAMATION
			jmp T_Exit1
		.elseif IAccnt == FALSE ; At least 1 record in Account File ?
			invoke MessageBox,hWnd,addr Error17,addr ErrorA,MB_ICONEXCLAMATION
			jmp T_Exit1
		.endif
		call OpenMemMapAccFile
		test eax, eax		; if false were in trouble
		jz T_Exit1
		call GetACCcount	
		invoke RtlZeroMemory,ADDR T_Accno ,128
		invoke GetDateFormat,NULL,NULL,NULL,offset BDate,offset CDate,10
		invoke FpuFLtoA,ADDR S_value   ,2,ADDR TmpString ,SRC1_REAL or SRC2_DIMM
		invoke FpuFLtoA,ADDR B_loanrate,2,ADDR TmpString1,SRC1_REAL or SRC2_DIMM
		invoke SetDlgItemText,hWnd,2018,addr CDate
		invoke SetDlgItemText,hWnd,2036,addr TmpString 
		invoke SetDlgItemText,hWnd,2015,ADDR TmpString1
		invoke GetDlgItem,hWin,2021
		mov hDate1,eax
		mov TFlag, FALSE ; Flags of Validity : All sequences  
		mov MFlag, FALSE ;                     Monatory sequence  
		mov DFlag, FALSE ;                     Date sequence  
		mov AFlag, FALSE ;                     Account sequence    
	.elseif eax==WM_CTLCOLORSTATIC 
			invoke GetDlgCtrlID,lParam
			.if eax==2005 || eax== 2006 || eax==2007 || eax==2033 
				RGB 250,0,0
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH	
			.elseif eax==2002 || eax==2009 || eax==2010 || eax==2011
				RGB 55,255,0
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH	
			.elseif eax==2029 || eax==2030 || eax==2031 || eax==2032
				RGB 255,128,255
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH		
			.elseif eax==2018 || eax==2020 || eax==2036
				RGB 11,233,244
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH	
			.elseif eax==2038
				RGB 250,250,164
				invoke SetTextColor,wParam,eax
				invoke SetBkMode,wParam,TRANSPARENT	
				invoke GetStockObject,DKGRAY_BRUSH			
			.else
				mov eax,FALSE
			.endif	
			ret	
	.elseif eax==WM_NOTIFY
		mov edi, lParam
		assume edi : ptr NMSELCHANGE 
		mov ebx, [edi].nmhdr.hwndFrom
		mov eax, [edi].nmhdr.code
			.if eax==MCN_SELECT
				.if ebx==hDate1
					lea edx, [edi].stSelStart
					push edx
					invoke GetDateFormat,NULL,NULL,edx ,addr ADate,addr DDate,10
					invoke GetDateFormat,NULL,NULL,NULL,addr ADate,addr CDate,10
					pop edx
					invoke GetDateFormat,NULL,NULL,edx ,addr BDate,addr FDate,10
					invoke GetDateFormat,NULL,NULL,NULL,addr BDate,addr EDate,10
					call EvalDate
					call TransINIT
				.endif
			.endif	
		assume edi : NOTHING		
	.elseif	eax==WM_COMMAND
		mov edx,wParam
		movzx eax,dx
		shr edx,16
		.if edx==BN_CLICKED
			.if eax==2003 		; Find Account
				invoke DialogBoxParam,hInstance,Find_Select,hWin,addr FindProc,NULL
				call FillTrnsaction
				call TransINIT
			.elseif eax==2023		; Invoice it
				.if TFlag==TRUE
					invoke MessageBox,hWnd,addr Error9b,addr ErrorA,MB_ICONEXCLAMATION or MB_OKCANCEL
					test eax, IDOK
					jz	T_Exit2
					call TProcess
					invoke DialogBoxParam,hInstance,Prnt_Select,hWin,addr Printit,addr pINVoice
					invoke	SendMessage,hWin,WM_CLOSE,NULL,NULL
				.else
					invoke MessageBox,hWin,addr Error11,addr ErrorA,MB_ICONSTOP
				.endif	
			.elseif eax==IDCANCEL
				invoke	SendMessage,hWin,WM_CLOSE,NULL,NULL
			.endif	
		.elseif eax==2013 || eax==2015
				call EvalTrns	
				call TransINIT
		.endif
	.elseif	eax==WM_CLOSE
		call CloseMemMapAccFile
T_Exit1:
		invoke	EndDialog,hWin,0
	.else
T_Exit2:	
		xor eax, eax
		ret
	.endif		
	mov eax, TRUE
	ret	
TrnsProc endp